/* PPaint Amiga Rexx script - Copyright  1995 Cloanto Italia srl */

/*
  $VER: EmbossFrames.pprx 1.0
*/


MYPORT = 'PPAINT'

IF ~SHOW('P', MYPORT) THEN DO
	IF EXISTS('PPaint:PPaint') THEN DO
		ADDRESS COMMAND 'Run >NIL: PPaint:PPaint'
		DO 30 WHILE ~SHOW('P',MYPORT)
			 ADDRESS COMMAND 'Wait >NIL: 1 SEC'
		END
	END
	ELSE DO
		SAY "Personal Paint could not be loaded."
		EXIT 10
	END
END

IF ~SHOW('P', MYPORT) THEN DO
	SAY 'Personal Paint Rexx port could not be opened.'
	EXIT 10
END

ADDRESS VALUE MYPORT
OPTIONS RESULTS
OPTIONS FAILAT 10000

Version 'REXX'
IF RESULT < 3 THEN DO
	errmess = 'This script requires a newer_version of Personal Paint.'
	SAY errmess
	RequestNotify 'PROMPT="'errmess'"'
	EXIT 10
END

/*
   Change the variable below to use another filter
   and/or edit and use a Set command such as the following one
*/

filtername = 'Emboss High'

/*
   Set '"FILTER = ""Emboss High"", 0, 0,0,0,0,0, 0,0,0,0,0, 0,0,1,1,0, 0,0,1,0,-1,  0,0,0,-1,-1,  1, 204,0,0"'
*/

LockGUI
GetFrameNum
frames = RESULT
IF frames = 0 THEN DO
	RequestFile '"Select Animation"'
	IF RC = 0 THEN DO
		LoadAnim RESULT NEW
		GetFrameNum
		frames = RESULT
	END
END
IF frames > 0 THEN DO
	GetFramePos
	savepos = RESULT
	errorcode = 0
	SetFramePos 1
	DO fnum = 1 TO frames
		Process '"'filtername'"'
		IF RC ~= 0 THEN DO
			IF RC = 5 THEN
				errmess = 'User abort during processing.'
			ELSE
				errmess = 'Error 'RC' during processing.'
			errcode = RC
			LEAVE
		END
		SetFramePos NEXT
	END
	IF errcode > 0 THEN DO
		SAY errmess
		RequestNotify 'PROMPT="'errmess'"'
	END
	SetFramePos savepos
END
UnlockGUI
